# frozen_string_literal: true

module FsmEngine
  # design the rules of fsm to transit
  class Rule
    attr_accessor :cur_condition, :next_condition, :action

    def initialize(cur_condition, next_condition, &action)
      @cur_condition = cur_condition
      @next_condition = next_condition
      @action = action
    end
  end
end
